net.sourceforge.jnlp.cache

## Class ResourceDownloader

- java.lang.Object
- - net.sourceforge.jnlp.cache.ResourceDownloader

- All Implemented Interfaces:
    java.lang.Runnable

      public class ResourceDownloader
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceDownloader(Resource resource, java.lang.Object lock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.net.URL` | `findBestUrl(Resource resource)` Returns the 'best' valid URL for the given resource.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceDownloader

          public ResourceDownloader(Resource resource,
                            java.lang.Object lock)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### findBestUrl

          protected java.net.URL findBestUrl(Resource resource)

      Returns the 'best' valid URL for the given resource. This first adjusts the file name to take into account file versioning and packing, if possible.
      Parameters:
        `resource` - the resource
      Returns:
        the best URL, or null if all failed to resolve